Bug 1651021 - quemu-kvm stop working after upgrade to 3.1.0-0.1.rc1 version
Summary: quemu-kvm stop working after upgrade to 3.1.0-0.1.rc1 version
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs 1655826
TreeView+ depends on / blocked
 
Reported: 2018-11-18 21:57 UTC by Mikhail
Modified: 2018-12-12 12:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1655826 (view as bug list)
Environment:
Last Closed: 2018-12-12 12:50:57 UTC
Type: Bug


Attachments (Terms of Use)
dmesg (139.92 KB, text/plain)
2018-11-18 21:57 UTC, Mikhail
no flags Details
virt-manager screenshot (258.78 KB, image/png)
2018-11-18 22:01 UTC, Mikhail
no flags Details
/var/log/libvirt/qemu/$vmname.log (30.62 KB, text/plain)
2018-11-19 18:23 UTC, Mikhail
no flags Details
virsh dumpxml $vmname (3.92 KB, text/plain)
2018-11-19 18:26 UTC, Mikhail
no flags Details

Description Mikhail 2018-11-18 21:57:29 UTC
Created attachment 1507040 [details]
dmesg

Description of problem:

Error starting domain: internal error: qemu unexpectedly closed the monitor: 2018-11-18T21:51:02.983748Z qemu-system-x86_64: warning: host doesn't support requested feature: CPUID.01H:EDX.ss [bit 27]
2018-11-18T21:51:03.113175Z qemu-system-x86_64: error: failed to set MSR 0x10a to 0x0
qemu-system-x86_64: /builddir/build/BUILD/qemu-3.1.0-rc1/target/i386/kvm.c:2211: kvm_put_msrs: Assertion `ret == cpu->kvm_msr_buf->nmsrs' failed.

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 75, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 111, in tmpcb
    callback(*args, **kwargs)
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 66, in newfn
    ret = fn(self, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1400, in startup
    self._backend.create()
  File "/usr/lib64/python3.7/site-packages/libvirt.py", line 1080, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirt.libvirtError: internal error: qemu unexpectedly closed the monitor: 2018-11-18T21:51:02.983748Z qemu-system-x86_64: warning: host doesn't support requested feature: CPUID.01H:EDX.ss [bit 27]
2018-11-18T21:51:03.113175Z qemu-system-x86_64: error: failed to set MSR 0x10a to 0x0
qemu-system-x86_64: /builddir/build/BUILD/qemu-3.1.0-rc1/target/i386/kvm.c:2211: kvm_put_msrs: Assertion `ret == cpu->kvm_msr_buf->nmsrs' failed.


# qemu-kvm 
Unable to init server: Could not connect: Connection refused
qemu-system-x86_64: error: failed to set MSR 0x10a to 0x0
qemu-system-x86_64: /builddir/build/BUILD/qemu-3.1.0-rc1/target/i386/kvm.c:2211: kvm_put_msrs: Assertion `ret == cpu->kvm_msr_buf->nmsrs' failed.
Aborted (core dumped)


Version-Release number of selected component (if applicable):

# qemu-kvm --version
QEMU emulator version 3.0.91 (qemu-3.1.0-0.1.rc1.fc30)
Copyright (c) 2003-2018 Fabrice Bellard and the QEMU Project developers

# rpm -q qemu-kvm
qemu-kvm-3.1.0-0.1.rc1.fc30.x86_64

Comment 1 Mikhail 2018-11-18 22:01:21 UTC
Created attachment 1507041 [details]
virt-manager screenshot

Comment 2 Mikhail 2018-11-19 03:27:38 UTC
Latest workable version:

# rpm -q qemu-kvm 
qemu-kvm-3.0.0-1.fc30.x86_64
# qemu-kvm --version
QEMU emulator version 3.0.0 (qemu-3.0.0-1.fc30)
Copyright (c) 2003-2017 Fabrice Bellard and the QEMU Project developers

Comment 3 Cole Robinson 2018-11-19 15:02:09 UTC
Thanks for the report. Can you provide:

sudo virsh dumpxml $vmname
/var/log/libvirt/qemu/$vmname.log

Comment 4 Mikhail 2018-11-19 18:23:43 UTC
Created attachment 1507313 [details]
/var/log/libvirt/qemu/$vmname.log

Comment 5 Mikhail 2018-11-19 18:26:31 UTC
Created attachment 1507314 [details]
virsh dumpxml $vmname

Comment 6 Cole Robinson 2018-11-19 20:42:20 UTC
Similar report on the list: https://lists.gnu.org/archive/html/qemu-devel/2018-11/msg03509.html

I'll mention this bug there

Comment 7 Bandan Das 2018-12-04 19:45:53 UTC
This should be fixed by commit aec5e9c3a94cf8b7920f59bef69a6f426092c4a0.
It's already in qemu/master.

Comment 8 Cole Robinson 2018-12-12 12:50:57 UTC
3.1.0 GA is built for rawhide now


Note You need to log in before you can comment on or make changes to this bug.